Subject: [PATCH 05/11] OMAPDSS: add clk_prepare and clk_unprepare

From: [email-masked] (Rajendra Nayak)
Date: Tue, 26 Jun 2012 13:06:38 +0530

On Tuesday 26 June 2012 12:25 PM, Tomi Valkeinen wrote:
> On Tue, 2012-06-26 at 10:30 +0530, Rajendra Nayak wrote:
>
>>> So as far as I see, clocks are never handled in atomic context. Is
>>> everything related to the base clk stuff already in mainline? Can I take
>>> the clk_prepare/unprepare patch into my omapdss tree?
>>
>> Well the Common Clk framework is already in mainline, but we still don;t
>> have CONFIG_COMMON_CLK enabled for our builds yet. So until we do so,
>> clk_prepare/unprepare will just be stubs which do nothing.
>
> But if I understood correctly, clk_prepare and clk_unprepare are anyway
> no-ops with dss clocks, even when CONFIG_COMMON_CLK is enabled?

With CONFIG_COMMON_CLK enabled, they will do prepare use-counting with
a mutex lock/unlock around it.

>
> My point was only to understand if I can safely take the patch into
> omapdss tree, instead of it going through l-o, to avoid any possible
> conflicts.

yes, I don't see any issues with it going through dss tree.

>   Tomi